<?php
namespace Pinpoint\DeliveryDate\Ui\Component\Listing\DataProviders\Pinpoint\Deliverdate\Estimated;

/**
 * Class Dates
 * @package Pinpoint\DeliveryDate\Ui\Component\Listing\DataProviders\Pinpoint\Deliverdate\Estimated
 */
class Dates extends \Magento\Ui\DataProvider\AbstractDataProvider
{
    /**
     * Dates constructor.
     * @param string $name
     * @param string $primaryFieldName
     * @param string $requestFieldName
     * @param \Pinpoint\DeliveryDate\Model\ResourceModel\EstimatedDate\CollectionFactory $collectionFactory
     * @param array $meta
     * @param array $data
     */
    public function __construct(
        $name,
        $primaryFieldName,
        $requestFieldName,
        \Pinpoint\DeliveryDate\Model\ResourceModel\EstimatedDate\CollectionFactory $collectionFactory,
        array $meta = [],
        array $data = []
    ) {
        parent::__construct($name, $primaryFieldName, $requestFieldName, $meta, $data);
        $this->collection = $collectionFactory->create();
    }
}